Index: branches/2016/dev_CMCC_2016/DOC/Namelists/nam_tide
===================================================================
--- branches/2016/dev_CMCC_2016/DOC/Namelists/nam_tide	(revision 7298)
+++ branches/2016/dev_CMCC_2016/DOC/Namelists/nam_tide	(revision 7299)
@@ -1,8 +1,9 @@
 !-----------------------------------------------------------------------
-&nam_tide      !   tide parameters                                      ("key_tide")
+&nam_tide      !   tide parameters
 !-----------------------------------------------------------------------
-   ln_tide_pot = .true.    !  use tidal potential forcing
-   ln_tide_ramp= .false.   !
-   rdttideramp =    0.     !
-   clname(1)   = 'DUMMY'   !  name of constituent - all tidal components must be set in namelist_cfg
+   ln_tide       = .true.   !  Activate tide module
+   ln_tide_pot   = .true.   !  use tidal potential forcing
+   ln_tide_ramp  = .false.  !
+   rdttideramp   =    0.    !
+   clname(1)     = 'DUMMY'  !  name of constituent - all tidal components must be set in namelist_cfg
 /
Index: branches/2016/dev_CMCC_2016/DOC/Namelists/nambdy
===================================================================
--- branches/2016/dev_CMCC_2016/DOC/Namelists/nambdy	(revision 7298)
+++ branches/2016/dev_CMCC_2016/DOC/Namelists/nambdy	(revision 7299)
@@ -1,5 +1,6 @@
 !-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries                          ("key_bdy")
+&nambdy        !  unstructured open boundaries
 !-----------------------------------------------------------------------
+    ln_bdy         = .true.               !  Activate BDY module
     nb_bdy         = 0                    !  number of open boundary sets
     ln_coords_file = .true.               !  =T : read bdy coordinates from file
Index: branches/2016/dev_CMCC_2016/DOC/Namelists/nambdy_dta
===================================================================
--- branches/2016/dev_CMCC_2016/DOC/Namelists/nambdy_dta	(revision 7298)
+++ branches/2016/dev_CMCC_2016/DOC/Namelists/nambdy_dta	(revision 7299)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&nambdy_dta    !  open boundaries - external data                       ("key_bdy")
+&nambdy_dta    !  open boundaries - external data
 !-----------------------------------------------------------------------
 !              !  file name      ! frequency (hours) ! variable  ! time interp.!  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
Index: branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 7299)
@@ -189,6 +189,7 @@
 /
 !-----------------------------------------------------------------------
-&nam_tide      !   tide parameters (#ifdef key_tide)
-!-----------------------------------------------------------------------
+&nam_tide      !   tide parameters
+!-----------------------------------------------------------------------
+   ln_tide     = .true.
    clname(1)     =   'Q1'   !  name of constituent
    clname(2)     =   'O1'
@@ -208,5 +209,6 @@
 /
 !-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries                          ("key_bdy")
+&nambdy        !  unstructured open boundaries
+    ln_bdy         = .true.
     nb_bdy         =  1
     cn_dyn2d       = 'flather'
@@ -216,5 +218,5 @@
 /
 !-----------------------------------------------------------------------
-&nambdy_dta      !  open boundaries - external data           ("key_bdy")
+&nambdy_dta      !  open boundaries - external data
 !-----------------------------------------------------------------------
 !          !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
Index: branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/AMM12/cpp_AMM12.fcm
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/AMM12/cpp_AMM12.fcm	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/AMM12/cpp_AMM12.fcm	(revision 7299)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys  key_bdy key_tide key_zdfgls key_diainstant key_mpp_mpi key_iomput
+ bld::tool::fppkeys key_zdfgls key_diainstant key_mpp_mpi key_iomput
Index: branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg	(revision 7299)
@@ -174,13 +174,13 @@
 /
 !-----------------------------------------------------------------------
-&nam_tide      !    tide parameters (#ifdef key_tide)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries                          ("key_bdy")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy_dta      !  open boundaries - external data           ("key_bdy")
+&nam_tide      !    tide parameters
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries                          
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy_dta      !  open boundaries - external data           
 !-----------------------------------------------------------------------
 /
Index: branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 7299)
@@ -154,13 +154,13 @@
 /
 !-----------------------------------------------------------------------
-&nam_tide      !    tide parameters (#ifdef key_tide)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries                          ("key_bdy")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy_dta      !  open boundaries - external data           ("key_bdy")
+&nam_tide      !    tide parameters
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries                          
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy_dta      !  open boundaries - external data           
 !-----------------------------------------------------------------------
 /
Index: branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 7299)
@@ -159,13 +159,13 @@
 /
 !-----------------------------------------------------------------------
-&nam_tide      !    tide parameters (#ifdef key_tide)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries                          ("key_bdy")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy_dta      !  open boundaries - external data           ("key_bdy")
+&nam_tide      !    tide parameters
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries                          
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy_dta      !  open boundaries - external data           
 !-----------------------------------------------------------------------
 /
Index: branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 7299)
@@ -152,13 +152,13 @@
 /
 !-----------------------------------------------------------------------
-&nam_tide      !    tide parameters (#ifdef key_tide)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries                          ("key_bdy")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy_dta      !  open boundaries - external data           ("key_bdy")
+&nam_tide      !    tide parameters
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries                          
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy_dta      !  open boundaries - external data           
 !-----------------------------------------------------------------------
 /
Index: branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/1_namelist_cfg
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/1_namelist_cfg	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/1_namelist_cfg	(revision 7299)
@@ -305,6 +305,6 @@
 !!   namlbc        lateral momentum boundary condition
 !!   namagrif      agrif nested grid ( read by child model only )       ("key_agrif") 
-!!   nambdy        Unstructured open boundaries                         ("key_bdy")
-!!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
+!!   nambdy        Unstructured open boundaries
+!!   namtide       Tidal forcing at open boundaries
 !!======================================================================
 !
@@ -324,6 +324,7 @@
 /
 !-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries                          ("key_bdy")
-!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries
+!-----------------------------------------------------------------------
+    ln_bdy         = .false.              !  Use unstructured open boundaries
     nb_bdy = 1                            !  number of open boundary sets       
     ln_coords_file = .true.               !  =T : read bdy coordinates from file
@@ -351,5 +352,5 @@
 /
 !-----------------------------------------------------------------------
-&nambdy_dta      !  open boundaries - external data           ("key_bdy")
+&nambdy_dta      !  open boundaries - external data
 !-----------------------------------------------------------------------
 !              !   file name    ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
Index: branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 7299)
@@ -138,13 +138,13 @@
 /
 !-----------------------------------------------------------------------
-&nam_tide      !   tide parameters (#ifdef key_tide)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries                          ("key_bdy")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy_dta      !  open boundaries - external data           ("key_bdy")
+&nam_tide      !   tide parameters
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries                          
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy_dta      !  open boundaries - external data           
 !-----------------------------------------------------------------------
 /
Index: branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 7299)
@@ -589,7 +589,7 @@
 !!   namagrif      agrif nested grid ( read by child model only )       ("key_agrif")
 !!   nam_tide      Tidal forcing 
-!!   nambdy        Unstructured open boundaries                         ("key_bdy")
-!!   nambdy_dta    Unstructured open boundaries - external data         ("key_bdy")
-!!   nambdy_tide   tidal forcing at open boundaries                     ("key_bdy_tides")
+!!   nambdy        Unstructured open boundaries                         
+!!   nambdy_dta    Unstructured open boundaries - external data         
+!!   nambdy_tide   tidal forcing at open boundaries                     
 !!======================================================================
 !
@@ -611,6 +611,7 @@
 /
 !-----------------------------------------------------------------------
-&nam_tide      !   tide parameters                                      ("key_tide")
-!-----------------------------------------------------------------------
+&nam_tide      !   tide parameters
+!-----------------------------------------------------------------------
+   ln_tide     = .false.
    ln_tide_pot = .true.    !  use tidal potential forcing
    ln_tide_ramp= .false.   !
@@ -619,6 +620,7 @@
 /
 !-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries                          ("key_bdy")
-!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries                          
+!-----------------------------------------------------------------------
+    ln_bdy         = .false.              !  Use unstructured open boundaries
     nb_bdy         = 0                    !  number of open boundary sets
     ln_coords_file = .true.               !  =T : read bdy coordinates from file
@@ -653,5 +655,5 @@
 /
 !-----------------------------------------------------------------------
-&nambdy_dta    !  open boundaries - external data                       ("key_bdy")
+&nambdy_dta    !  open boundaries - external data                       
 !-----------------------------------------------------------------------
 !              !  file name      ! frequency (hours) ! variable  ! time interp.!  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
Index: branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/LIM_SRC_3/limcons.F90	(revision 7299)
@@ -286,5 +286,4 @@
       REAL(wp), PARAMETER             :: zconv = 1.e-9 ! convert W to GW and kg to Mt
 
-#if ! defined key_bdy
       ! heat flux
       zhfx  = glob_sum( ( hfx_in - hfx_out - diag_heat - diag_trp_ei - diag_trp_es - SUM( qevap_ice * a_i_b, dim=3 ) )  &
@@ -304,5 +303,4 @@
       IF( ABS( zsfx ) > zs_sill ) WRITE(numout,*) 'violation sfx    [psu*Mt/day]   (',cd_routine,')  = ',(zsfx)
       IF( ABS( zhfx ) > zh_sill ) WRITE(numout,*) 'violation hfx    [GW]           (',cd_routine,')  = ',(zhfx)
-#endif
 
    END SUBROUTINE lim_cons_final
Index: branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90	(revision 7299)
@@ -41,7 +41,6 @@
    USE agrif_lim2_interp
 #endif
-#if defined key_bdy
+   USE bdy_oce   , ONLY: ln_bdy
    USE bdyice_lim
-#endif
 
    IMPLICIT NONE
@@ -460,7 +459,5 @@
             CALL agrif_rhg_lim2( jter, nn_nevp, 'U' )
 #endif
-#if defined key_bdy
-         CALL bdy_ice_lim_dyn( 'U' )
-#endif         
+         IF( ln_bdy ) CALL bdy_ice_lim_dyn( 'U' )
 
             DO jj = k_j1+1, k_jpj-1
@@ -486,7 +483,5 @@
             CALL agrif_rhg_lim2( jter, nn_nevp, 'V' )
 #endif
-#if defined key_bdy
-         CALL bdy_ice_lim_dyn( 'V' )
-#endif         
+         IF( ln_bdy ) CALL bdy_ice_lim_dyn( 'V' )
 
          ELSE 
@@ -513,7 +508,5 @@
             CALL agrif_rhg_lim2( jter, nn_nevp, 'V' )
 #endif
-#if defined key_bdy
-         CALL bdy_ice_lim_dyn( 'V' )
-#endif         
+         IF( ln_bdy ) CALL bdy_ice_lim_dyn( 'V' )
 
             DO jj = k_j1+1, k_jpj-1
@@ -538,7 +531,5 @@
             CALL agrif_rhg_lim2( jter, nn_nevp, 'U' )
 #endif
-#if defined key_bdy
-         CALL bdy_ice_lim_dyn( 'U' )
-#endif         
+         IF( ln_bdy ) CALL bdy_ice_lim_dyn( 'U' )
 
          ENDIF
@@ -577,8 +568,7 @@
       CALL agrif_rhg_lim2( nn_nevp , nn_nevp, 'V' )
 #endif
-#if defined key_bdy
-      CALL bdy_ice_lim_dyn( 'U' )
-      CALL bdy_ice_lim_dyn( 'V' )
-#endif         
+      IF( ln_bdy ) THEN
+         CALL bdy_ice_lim_dyn( 'U' ) ; CALL bdy_ice_lim_dyn( 'V' )
+      ENDIF
 
       DO jj = k_j1+1, k_jpj-1 
Index: branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90	(revision 7299)
@@ -36,4 +36,5 @@
    USE limctl         ! 
    USE limcons        ! 
+   USE bdy_oce  , ONLY: ln_bdy
    !
    USE in_out_manager ! I/O manager
@@ -221,5 +222,5 @@
 
       ! conservation test
-      IF( ln_limdiahsb )   CALL lim_cons_final( 'limsbc' )
+      IF( ln_limdiahsb .AND. .NOT. ln_bdy)   CALL lim_cons_final( 'limsbc' )
 
       ! control prints
Index: branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/NST_SRC/agrif_user.F90
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 7299)
@@ -61,5 +61,5 @@
    USE nemogcm
    USE tradmp
-   USE bdy_par
+   USE bdy_oce   , ONLY: ln_bdy
 
    IMPLICIT NONE
@@ -78,5 +78,5 @@
    ln_tradmp = .FALSE.
    ! no open boundary on fine grids
-   lk_bdy = .FALSE.
+   ln_bdy = .FALSE.
 
 
Index: branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 7299)
@@ -10,14 +10,12 @@
    !!            3.6  !  2014-01  (C. Rousset) add ice boundary conditions for lim3
    !!----------------------------------------------------------------------
-#if defined key_bdy 
-   !!----------------------------------------------------------------------
-   !!   'key_bdy'                      Unstructured Open Boundary Condition
-   !!----------------------------------------------------------------------
    USE par_oce         ! ocean parameters
-   USE bdy_par         ! Unstructured boundary parameters
    USE lib_mpp         ! distributed memory computing
 
    IMPLICIT NONE
    PUBLIC
+
+   INTEGER, PUBLIC, PARAMETER ::   jp_bdy  = 10       !: Maximum number of bdy sets
+   INTEGER, PUBLIC, PARAMETER ::   jpbgrd  = 3        !: Number of horizontal grid types used  (T, U, V)
 
    TYPE, PUBLIC ::   OBC_INDEX    !: Indices and weights which define the open boundary
@@ -82,4 +80,6 @@
    !! Namelist variables
    !!----------------------------------------------------------------------
+   LOGICAL, PUBLIC            ::   ln_bdy                   !: Unstructured Ocean Boundary Condition
+
    CHARACTER(len=80), DIMENSION(jp_bdy) ::   cn_coords_file !: Name of bdy coordinates file
    CHARACTER(len=80)                    ::   cn_mask_file   !: Name of bdy mask file
@@ -166,11 +166,4 @@
    END FUNCTION bdy_oce_alloc
 
-#else
-   !!----------------------------------------------------------------------
-   !!   Dummy module                NO Unstructured Open Boundary Condition
-   !!----------------------------------------------------------------------
-   LOGICAL ::   ln_tides = .false.  !: =T apply tidal harmonic forcing along open boundaries
-#endif
-
    !!======================================================================
 END MODULE bdy_oce
Index: branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 7299)
@@ -12,8 +12,4 @@
    !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
    !!            3.6  !  2012-01  (C. Rousset) add ice boundary conditions for lim3
-   !!----------------------------------------------------------------------
-#if defined key_bdy
-   !!----------------------------------------------------------------------
-   !!   'key_bdy'                     Open Boundary Conditions
    !!----------------------------------------------------------------------
    !!    bdy_dta        : read external data along open boundaries from file
@@ -36,4 +32,5 @@
 #endif
    USE sbcapr
+   USE sbctide         ! Tidal forcing or not
 
    IMPLICIT NONE
@@ -381,21 +378,21 @@
       END DO  ! ib_bdy
 
-#if defined key_tide
-      IF (ln_dynspg_ts) THEN      ! Fill temporary arrays with slow-varying bdy data                           
-         DO ib_bdy = 1, nb_bdy    ! Tidal component added in ts loop
-            IF ( nn_dyn2d_dta(ib_bdy) .ge. 2 ) THEN
-               nblen => idx_bdy(ib_bdy)%nblen
-               nblenrim => idx_bdy(ib_bdy)%nblenrim
-               IF( cn_dyn2d(ib_bdy) == 'frs' ) THEN; ilen1(:)=nblen(:) ; ELSE ; ilen1(:)=nblenrim(:) ; ENDIF 
-               IF ( dta_bdy(ib_bdy)%ll_ssh ) dta_bdy_s(ib_bdy)%ssh(1:ilen1(1)) = dta_bdy(ib_bdy)%ssh(1:ilen1(1))
-               IF ( dta_bdy(ib_bdy)%ll_u2d ) dta_bdy_s(ib_bdy)%u2d(1:ilen1(2)) = dta_bdy(ib_bdy)%u2d(1:ilen1(2))
-               IF ( dta_bdy(ib_bdy)%ll_v2d ) dta_bdy_s(ib_bdy)%v2d(1:ilen1(3)) = dta_bdy(ib_bdy)%v2d(1:ilen1(3))
-            ENDIF
-         END DO
-      ELSE ! Add tides if not split-explicit free surface else this is done in ts loop
-         !
-         CALL bdy_dta_tides( kt=kt, time_offset=time_offset )
+      IF ( ln_tide ) THEN
+         IF (ln_dynspg_ts) THEN      ! Fill temporary arrays with slow-varying bdy data                           
+            DO ib_bdy = 1, nb_bdy    ! Tidal component added in ts loop
+               IF ( nn_dyn2d_dta(ib_bdy) .ge. 2 ) THEN
+                  nblen => idx_bdy(ib_bdy)%nblen
+                  nblenrim => idx_bdy(ib_bdy)%nblenrim
+                  IF( cn_dyn2d(ib_bdy) == 'frs' ) THEN; ilen1(:)=nblen(:) ; ELSE ; ilen1(:)=nblenrim(:) ; ENDIF 
+                  IF ( dta_bdy(ib_bdy)%ll_ssh ) dta_bdy_s(ib_bdy)%ssh(1:ilen1(1)) = dta_bdy(ib_bdy)%ssh(1:ilen1(1))
+                  IF ( dta_bdy(ib_bdy)%ll_u2d ) dta_bdy_s(ib_bdy)%u2d(1:ilen1(2)) = dta_bdy(ib_bdy)%u2d(1:ilen1(2))
+                  IF ( dta_bdy(ib_bdy)%ll_v2d ) dta_bdy_s(ib_bdy)%v2d(1:ilen1(3)) = dta_bdy(ib_bdy)%v2d(1:ilen1(3))
+               ENDIF
+            END DO
+         ELSE ! Add tides if not split-explicit free surface else this is done in ts loop
+            !
+            CALL bdy_dta_tides( kt=kt, time_offset=time_offset )
+         ENDIF
       ENDIF
-#endif
 
       IF ( ln_apr_obc ) THEN
@@ -899,20 +896,4 @@
    END SUBROUTINE bdy_dta_init
 
-#else
-   !!----------------------------------------------------------------------
-   !!   Dummy module                   NO Open Boundary Conditions
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE bdy_dta( kt, jit, time_offset ) ! Empty routine
-      INTEGER, INTENT( in )           ::   kt    
-      INTEGER, INTENT( in ), OPTIONAL ::   jit   
-      INTEGER, INTENT( in ), OPTIONAL ::   time_offset
-      WRITE(*,*) 'bdy_dta: You should not have seen this print! error?', kt
-   END SUBROUTINE bdy_dta
-   SUBROUTINE bdy_dta_init()                  ! Empty routine
-      WRITE(*,*) 'bdy_dta_init: You should not have seen this print! error?'
-   END SUBROUTINE bdy_dta_init
-#endif
-
    !!==============================================================================
 END MODULE bdydta
Index: branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 7299)
@@ -11,8 +11,4 @@
    !!            3.3  !  2010-09  (D.Storkey) add ice boundary conditions
    !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
-   !!----------------------------------------------------------------------
-#if defined key_bdy 
-   !!----------------------------------------------------------------------
-   !!   'key_bdy' :                    Unstructured Open Boundary Condition
    !!----------------------------------------------------------------------
    !!   bdy_dyn        : split velocities into barotropic and baroclinic parts
@@ -137,14 +133,4 @@
    END SUBROUTINE bdy_dyn
 
-#else
-   !!----------------------------------------------------------------------
-   !!   Dummy module                   NO Unstruct Open Boundary Conditions
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE bdy_dyn( kt )      ! Empty routine
-      WRITE(*,*) 'bdy_dyn: You should not have seen this print! error?', kt
-   END SUBROUTINE bdy_dyn
-#endif
-
    !!======================================================================
 END MODULE bdydyn
Index: branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90	(revision 7299)
@@ -7,8 +7,4 @@
    !!            3.5  !  2012     (S. Mocavero, I. Epicoco) Optimization of BDY communications
    !!            3.5  !  2013-07  (J. Chanut) Compliant with time splitting changes
-   !!----------------------------------------------------------------------
-#if defined key_bdy 
-   !!----------------------------------------------------------------------
-   !!   'key_bdy' :                    Unstructured Open Boundary Condition
    !!----------------------------------------------------------------------
    !!   bdy_dyn2d          : Apply open boundary conditions to barotropic variables.
@@ -310,16 +306,4 @@
    END SUBROUTINE bdy_ssh
 
-#else
-   !!----------------------------------------------------------------------
-   !!   Dummy module                   NO Unstruct Open Boundary Conditions
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE bdy_dyn2d( kt )      ! Empty routine
-      INTEGER, intent(in) :: kt
-      WRITE(*,*) 'bdy_dyn2d: You should not have seen this print! error?', kt
-   END SUBROUTINE bdy_dyn2d
-
-#endif
-
    !!======================================================================
 END MODULE bdydyn2d
Index: branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90
===================================================================
--- branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 7298)
+++ branches/2016/dev_CMCC_2016/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 7299)
@@ -6,8 +6,4 @@
    !! History :  3.4  !  2011     (D. Storkey) new module as part of BDY rewrite 
    !!            3.5  !  2012     (S. Mocavero, I. Epicoco) Optimization of BDY communications
-   !!----------------------------------------------------------------------
-#if defined key_bdy 
-   !!----------------------------------------------------------------------
-   !!   'key_bdy' :                    Unstructured Open Boundary Condition
    !!----------------------------------------------------------------------
    !!   bdy_dyn3d        : apply open boundary conditions to baroclinic velocities
@@ -296,17 +292,4 @@
    END SUBROUTINE bdy_dyn3d_dmp
 
-#else
-   !!----------------------------------------------------------------------
-   !!   Dummy module                   NO Unstruct Open Boundary Conditions
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE bdy_dyn3d( kt )      ! Empty routine
-      WRITE(*,*) 'bdy_dyn3d: You should not have seen this print! error?', kt
-   END SUBROUTINE bdy_dyn3d
-   SUBROUTINE bdy_dyn3d_dmp( kt )      ! Empty routine
-      WRITE(*,*) 'bdy_dyn3d_dmp: You should not have seen this print! error?', kt
-   END SUBROUTINE bdy_dyn3d_dmp
-#endif
-
    !!======================================================================
 END MODULE bdydyn3d
